NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Die::RibParentBuilder Class Reference

Represents a Die Rib Parent sub feature. More...

Inheritance diagram for NXOpen::Die::RibParentBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

double AdjustedThickness ()
 Returns the adjusted thickness of die ribs. More...
 
double Angle ()
 Returns the angle of die ribs. More...
 
double BottomHorizontalOffset ()
 Returns the bottom horizontal offset of die ribs. More...
 
double BottomLimitOffset ()
 Returns the bottom limit offset of die ribs. More...
 
double BottomVerticalOffset ()
 Returns the bottom vertical offset of die ribs. More...
 
NXOpen::Die::DieBuildStatusOption BuildStatus ()
 Returns the build status of die ribs. More...
 
double CenterlineXyOffset ()
 Returns the centerline xy offset of die ribs. More...
 
NXOpen::Die::RibChildBuilderCreateChild ()
 Creates a child rib. More...
 
void DeleteChild (NXOpen::Die::RibChildBuilder *dieribchild)
 Deletes a child rib. More...
 
bool DesignStatus ()
 Returns the design status of die ribs, if true the ribs will be built into the model, if false they will not. More...
 
bool DisplayStatus ()
 Returns the display status of die ribs, if true input data to the ribs will be displayed, if false the input data will not be displayed. More...
 
std::vector
< NXOpen::Die::RibChildBuilder * > 
GetChildren ()
 Outputs the child ribs. More...
 
double Height ()
 Returns the height of die ribs. More...
 
double LccMinWidth ()
 Returns the lightening core mininum width of die ribs. More...
 
bool LighteningCore ()
 Returns the lightening core switch of die ribs, if true the lightening core will be built into the rib, if false it will not. More...
 
double LighteningCoreClearance ()
 Returns the lightening core clearance of die ribs. More...
 
bool Rectangular ()
 Returns the rectangular switch of die ribs, if true the lightening cores will be rectangular, if false they will follow the shape of the rib. More...
 
void SetAdjustedThickness (double adjustedThickness)
 Sets the adjusted thickness of die ribs. More...
 
void SetAngle (double angle)
 Sets the angle of die ribs. More...
 
void SetBottomHorizontalOffset (double bottomHorizontalOffset)
 Sets the bottom horizontal offset of die ribs. More...
 
void SetBottomLimitOffset (double bottomLimitOffset)
 Sets the bottom limit offset of die ribs. More...
 
void SetBottomVerticalOffset (double bottomVerticalOffset)
 Sets the bottom vertical offset of die ribs. More...
 
void SetCenterlineXyOffset (double centerlineXyOffset)
 Sets the centerline xy offset of die ribs. More...
 
void SetDesignStatus (bool designStatus)
 Sets the design status of die ribs, if true the ribs will be built into the model, if false they will not. More...
 
void SetDisplayStatus (bool displayStatus)
 Sets the display status of die ribs, if true input data to the ribs will be displayed, if false the input data will not be displayed. More...
 
void SetHeight (double height)
 Sets the height of die ribs. More...
 
void SetLccMinWidth (double lccMinWidth)
 Sets the lightening core mininum width of die ribs. More...
 
void SetLighteningCore (bool lighteningCore)
 Sets the lightening core switch of die ribs, if true the lightening core will be built into the rib, if false it will not. More...
 
void SetLighteningCoreClearance (double lighteningCoreClearance)
 Sets the lightening core clearance of die ribs. More...
 
void SetRectangular (bool rectangular)
 Sets the rectangular switch of die ribs, if true the lightening cores will be rectangular, if false they will follow the shape of the rib. More...
 
void SetThickness (double thickness)
 Sets the thickness of die ribs. More...
 
void SetTopHorizontalOffset (double topHorizontalOffset)
 Sets the top horizontal offset of die ribs. More...
 
void SetTopLimitOffset (double topLimitOffset)
 Sets the top limit offset of die ribs. More...
 
void SetTopVerticalOffset (double topVerticalOffset)
 Sets the top vertical offset of die ribs. More...
 
void SetXDistance (double xDistance)
 Sets the x distance of die ribs. More...
 
void SetXOffset (double xOffset)
 Sets the x offset of die ribs. More...
 
void SetYDistance (double yDistance)
 Sets the y distance of die ribs. More...
 
void SetYOffset (double yOffset)
 Sets the y offset of die ribs. More...
 
double Thickness ()
 Returns the thickness of die ribs. More...
 
double TopHorizontalOffset ()
 Returns the top horizontal offset of die ribs. More...
 
double TopLimitOffset ()
 Returns the top limit offset of die ribs. More...
 
double TopVerticalOffset ()
 Returns the top vertical offset of die ribs. More...
 
double XDistance ()
 Returns the x distance of die ribs. More...
 
double XOffset ()
 Returns the x offset of die ribs. More...
 
double YDistance ()
 Returns the y distance of die ribs. More...
 
double YOffset ()
 Returns the y offset of die ribs. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a Die Rib Parent sub feature.


This sub feature is created via the main feature builder.

Created in NX4.0.0.

Member Function Documentation

double NXOpen::Die::RibParentBuilder::AdjustedThickness ( )

Returns the adjusted thickness of die ribs.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

double NXOpen::Die::RibParentBuilder::Angle ( )

Returns the angle of die ribs.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

double NXOpen::Die::RibParentBuilder::BottomHorizontalOffset ( )

Returns the bottom horizontal offset of die ribs.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

double NXOpen::Die::RibParentBuilder::BottomLimitOffset ( )

Returns the bottom limit offset of die ribs.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

double NXOpen::Die::RibParentBuilder::BottomVerticalOffset ( )

Returns the bottom vertical offset of die ribs.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

NXOpen::Die::DieBuildStatusOption NXOpen::Die::RibParentBuilder::BuildStatus ( )

Returns the build status of die ribs.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

double NXOpen::Die::RibParentBuilder::CenterlineXyOffset ( )

Returns the centerline xy offset of die ribs.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

NXOpen::Die::RibChildBuilder* NXOpen::Die::RibParentBuilder::CreateChild ( )

Creates a child rib.

Returns

Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")
void NXOpen::Die::RibParentBuilder::DeleteChild ( NXOpen::Die::RibChildBuilder dieribchild)

Deletes a child rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
dieribchilddieribchild
bool NXOpen::Die::RibParentBuilder::DesignStatus ( )

Returns the design status of die ribs, if true the ribs will be built into the model, if false they will not.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

bool NXOpen::Die::RibParentBuilder::DisplayStatus ( )

Returns the display status of die ribs, if true input data to the ribs will be displayed, if false the input data will not be displayed.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

std::vector<NXOpen::Die::RibChildBuilder *> NXOpen::Die::RibParentBuilder::GetChildren ( )

Outputs the child ribs.

Returns
The child ribs.
Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")
double NXOpen::Die::RibParentBuilder::Height ( )

Returns the height of die ribs.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

double NXOpen::Die::RibParentBuilder::LccMinWidth ( )

Returns the lightening core mininum width of die ribs.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

bool NXOpen::Die::RibParentBuilder::LighteningCore ( )

Returns the lightening core switch of die ribs, if true the lightening core will be built into the rib, if false it will not.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

double NXOpen::Die::RibParentBuilder::LighteningCoreClearance ( )

Returns the lightening core clearance of die ribs.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

bool NXOpen::Die::RibParentBuilder::Rectangular ( )

Returns the rectangular switch of die ribs, if true the lightening cores will be rectangular, if false they will follow the shape of the rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

void NXOpen::Die::RibParentBuilder::SetAdjustedThickness ( double  adjustedThickness)

Sets the adjusted thickness of die ribs.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
adjustedThicknessadjusted thickness
void NXOpen::Die::RibParentBuilder::SetAngle ( double  angle)

Sets the angle of die ribs.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
angleangle
void NXOpen::Die::RibParentBuilder::SetBottomHorizontalOffset ( double  bottomHorizontalOffset)

Sets the bottom horizontal offset of die ribs.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
bottomHorizontalOffsetbottom horizontal offset
void NXOpen::Die::RibParentBuilder::SetBottomLimitOffset ( double  bottomLimitOffset)

Sets the bottom limit offset of die ribs.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
bottomLimitOffsetbottom limit offset
void NXOpen::Die::RibParentBuilder::SetBottomVerticalOffset ( double  bottomVerticalOffset)

Sets the bottom vertical offset of die ribs.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
bottomVerticalOffsetbottom vertical offset
void NXOpen::Die::RibParentBuilder::SetCenterlineXyOffset ( double  centerlineXyOffset)

Sets the centerline xy offset of die ribs.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
centerlineXyOffsetcenterline xy offset
void NXOpen::Die::RibParentBuilder::SetDesignStatus ( bool  designStatus)

Sets the design status of die ribs, if true the ribs will be built into the model, if false they will not.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
designStatusdesign status
void NXOpen::Die::RibParentBuilder::SetDisplayStatus ( bool  displayStatus)

Sets the display status of die ribs, if true input data to the ribs will be displayed, if false the input data will not be displayed.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
displayStatusdisplay status
void NXOpen::Die::RibParentBuilder::SetHeight ( double  height)

Sets the height of die ribs.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
heightheight
void NXOpen::Die::RibParentBuilder::SetLccMinWidth ( double  lccMinWidth)

Sets the lightening core mininum width of die ribs.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
lccMinWidthlcc min width
void NXOpen::Die::RibParentBuilder::SetLighteningCore ( bool  lighteningCore)

Sets the lightening core switch of die ribs, if true the lightening core will be built into the rib, if false it will not.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
lighteningCorelightening core
void NXOpen::Die::RibParentBuilder::SetLighteningCoreClearance ( double  lighteningCoreClearance)

Sets the lightening core clearance of die ribs.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
lighteningCoreClearancelightening core clearance
void NXOpen::Die::RibParentBuilder::SetRectangular ( bool  rectangular)

Sets the rectangular switch of die ribs, if true the lightening cores will be rectangular, if false they will follow the shape of the rib.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
rectangularrectangular
void NXOpen::Die::RibParentBuilder::SetThickness ( double  thickness)

Sets the thickness of die ribs.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
thicknessthickness
void NXOpen::Die::RibParentBuilder::SetTopHorizontalOffset ( double  topHorizontalOffset)

Sets the top horizontal offset of die ribs.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
topHorizontalOffsettop horizontal offset
void NXOpen::Die::RibParentBuilder::SetTopLimitOffset ( double  topLimitOffset)

Sets the top limit offset of die ribs.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
topLimitOffsettop limit offset
void NXOpen::Die::RibParentBuilder::SetTopVerticalOffset ( double  topVerticalOffset)

Sets the top vertical offset of die ribs.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
topVerticalOffsettop vertical offset
void NXOpen::Die::RibParentBuilder::SetXDistance ( double  xDistance)

Sets the x distance of die ribs.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
xDistancex distance
void NXOpen::Die::RibParentBuilder::SetXOffset ( double  xOffset)

Sets the x offset of die ribs.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
xOffsetx offset
void NXOpen::Die::RibParentBuilder::SetYDistance ( double  yDistance)

Sets the y distance of die ribs.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
yDistancey distance
void NXOpen::Die::RibParentBuilder::SetYOffset ( double  yOffset)

Sets the y offset of die ribs.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

Parameters
yOffsety offset
double NXOpen::Die::RibParentBuilder::Thickness ( )

Returns the thickness of die ribs.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

double NXOpen::Die::RibParentBuilder::TopHorizontalOffset ( )

Returns the top horizontal offset of die ribs.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

double NXOpen::Die::RibParentBuilder::TopLimitOffset ( )

Returns the top limit offset of die ribs.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

double NXOpen::Die::RibParentBuilder::TopVerticalOffset ( )

Returns the top vertical offset of die ribs.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

double NXOpen::Die::RibParentBuilder::XDistance ( )

Returns the x distance of die ribs.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

double NXOpen::Die::RibParentBuilder::XOffset ( )

Returns the x offset of die ribs.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

double NXOpen::Die::RibParentBuilder::YDistance ( )

Returns the y distance of die ribs.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")

double NXOpen::Die::RibParentBuilder::YOffset ( )

Returns the y offset of die ribs.


Created in NX4.0.0.

License requirements : ug_die_design ("Die Design")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.